#include "ui_defs.lua"

Ui.Style.General = 
{
	Color = 
	{
		White = 0xFFFFFFFF,
		Yellow = 0xFFFF7FFF,
		Grey = 0x878787FF,
		Mark = 0xFFCD66FF,
		Dim = 0xB4B4B4FF,
		Background = 0x0000008D
	},

	Fonts = 
	{
		ButtonText = function()
	            Ui:MediumFont(22)
        	end,

	        GenericText = function()
        	    Ui:RegularFont(22)
	        end,

	        TitleText = function()
        	    Ui:BoldFont(30)
	        end,

	        MediumText = function()
        	    Ui:MediumFont(20)
	        end,

	        GenericTextSmall = function()
        	    Ui:RegularFont(20)
	        end,

	        TitleTextSmall = function()
        	    Ui:BoldFont(22)
	        end,

	        MediumTextSmall = function()
        	    Ui:MediumFont(18)
	        end,

	        MediumTextBig = function()
        	   	Ui:MediumFont(30)
	        end
	},

	GamepadIcons = 
	{
		Size = 42
	},
}

Ui.Style.Terminal = 
{
	Tabs = 
    	{
		Text = Ui.Style.General.Color.White,
		TextSelected = Ui.Style.General.Color.Yellow
	},

	Top = 
	{
		Background = 0x191919
	},

	Rank = 
	{
		Background = 0x333333
	},

	Messages = 
	{
		Header = 
		{
			Font = {"bold", 36}
		},

		Text = Ui.Style.General.Color.White,
		TextSelected = Ui.Style.General.Color.Yellow,
		ImageBox = 0x262626,
		Background = 0x75757524,
		Selected = 0xD9D9D930,
		FromName = Ui.Style.General.Color.White,
		FromNameSelected = Ui.Style.General.Color.Yellow,

		RightPanel = 
		{
			Subject = 
			{
				Font = {"regular", 30},
				Color = Ui.Style.General.Color.White
			},

			Fill = 0x3B3B3B
		},
	},

	Tools = 
	{
		Background = 0x75757524,
		Selected = 0xD9D9D930
	},

	Background = 0x333333,
	Fill = 0x3B3B3B,
	SelectedFill = 0xD9D9D91E,
	WhiteMain = Ui.Style.General.Color.White,
	Selected = Ui.Style.General.Color.Yellow
}